require 'rails/generators'
require 'rails/generators/migration'
require 'rails/generators/active_record/migration'

module ActiveSettings
  module Generators
    class InstallGenerator < ::Rails::Generators::Base
      include Rails::Generators::Migration
      extend ActiveRecord::Generators::Migration
      
      source_root File.expand_path("../templates", __FILE__)
      
      def copy_initializer
        template "active_settings.rb", "config/initializers/active_settings.rb"
      end
      
      def create_migration_file
        migration_template 'migration.rb', 'db/migrate/create_active_settings.rb'
      end
      
    end
  end
end